@media only screen and (max-width: 1270px) {
	body {
        overflow-x: hidden;
    }	

	main { 
        width: 96%;
        max-width: 96%; 
    }

    aside {
        min-width: 25vw;
        max-width: 25vw;
    }

    #latest table img {
        width: 8vw;
        height: 8vw;
    }
}

@media only screen and (max-width: 1200px) {
    header {
        height: 50vw;
    }

    #wrapper {
        margin-top: 50vw;
    }
}

@media only screen and (max-width: 1110px) {
    #topbar nav { 
        margin: 0 auto 0 0; 
        position: relative; 
    }

    #topbar nav ul.menu li { 
        margin-left: 1.5vw; 
        margin-right: 1.5vw; 
    }    

    main {
        display: block;
    }

    aside {
        min-width: 100%;
        max-width: 100%;
        margin-top: 60px;
    }

    aside .sidebox .proj {
        max-width: 320px;
    }
}

@media only screen and (max-width: 900px) {
    #topbar #social {
        display: none;
    }
}

@media only screen and (min-width: 801px) {
	#topbar nav #rmenu {
        display: block !important;
    }
}

@media only screen and (max-width: 800px) {
    #topbar {
        background: transparent;
        flex-wrap: wrap;
    }

    #topbar #show-menu {
        display: block;
    }

    #topbar nav {
        padding: 10px 0;
        border-bottom-width: 5px;
        border-bottom-style: solid;
        flex-basis: 100%;
        display: none;
    }

    #topbar nav ul.menu li {
        margin: 0;
        padding: 8px 20px;
        text-align: left;
        border-bottom-width: 1px;
        border-bottom-style: solid;
        box-sizing: border-box;
        display: block;
    }

    #topbar nav ul.menu li:last-child {
        padding-bottom: 0;
        border-bottom: none;
    }

    #topbar nav ul.menu li::before {
        display: inline-block;
    }

    #topbar nav ul.menu li .sub-menu {
        width: 100%;
        max-width: 100%;
        border: none;
        position: relative;
    }

    article .post .entry img, aside .sidebox img, section#content article.projects .gllry img {
        max-width: 12vw;
        height: auto;
    }
}

@media only screen and (max-width: 768px) {
    article {
        display: block;
    }

    article .date {
        width: auto;
        margin-bottom: 15px;
        padding-top: 0;
        padding-bottom: 0;
        border-top: none;
        border-bottom: none;
        display: flex;
        align-items: center;
        justify-content: left;
        flex-direction: row-reverse;
    }
    
    article .date .day {
        padding: 4px 5px 1px 0;
        font-family: 'Bebas Neue', sans-serif;
        font-size: 16px;
        font-weight: 400;
        letter-spacing: 0.21em;
        display: unset;
    }

    article .date .month {
        margin-top: 0;
        display: unset;
    }

    article .post {
        min-height: 0;
        margin-bottom: 60px;
        padding-left: 0;
        padding-bottom: 0;
        border-left: none;
    }

    article .post h1, section#content article.career h1, section#content article.projects h1 {
        font-size: 30px;
    }

    section#content #pagination {
        padding-left: 0;
        text-align: center;
    }

    section#content #pagination div {
        padding-left: 0;
        border-left: none;
    }

    section#content #pagination span, section#content #pagination a {
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media only screen and (max-width: 640px) {
    body {
        font-size: 13px;
    }

    #topbar #site, #topbar #show-menu {
        padding: 10px;
    }

    #topbar #site h1 { 
        font-size: 24px;
    }

    article .post h1, section#content article.career h1, section#content article.projects h1 {
        font-size: 27px;
    }

    article .post .cbox .cinfo span:first-of-type, #latest {
        display: none;
    }

    footer {
        padding-top: 10px;
        border-top-width: 5px;
        border-top-style: solid;
    }

    footer ul#links li {
        display: inline;
    }
}

@media only screen and (max-width: 360px) {
    #topbar #site h1 { 
        font-size: 21px;
    }
}